org.swixml

## Class SchemaGenerator

- java.lang.Object
- - org.swixml.SchemaGenerator

-     public class SchemaGenerator
      extends Object

  Swixml XML Schema Generator
  Author:
    Wolf Paulus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `NAMESPACE_PREFIX`
    `protected static String` | `NAMESPACE_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` Writes teh schema into the given file. defaults to userhome/swixml.xsd
    `static void` | `print()`
    `static void` | `print(URI uri, File file)` Generate the Swixml XML Schema and writes it into a file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE_PREFIX

          protected static final String NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### NAMESPACE_URI

          protected static final String NAMESPACE_URI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SchemaGenerator

          public SchemaGenerator()

  - ### Method Detail

    - #### print

          public static void print(URI uri,
                   File file)
                            throws Exception

      Generate the Swixml XML Schema and writes it into a file.
      Parameters:
        `uri` - `taget Namespace, e.g. http://www.swixml.org/2007/SwixmlTags`
        `file` - `File` - target
      Throws:
        `IOException` - - if schema cannot be printed into the given file.
        `Exception`

    - #### print

          public static void print()
                            throws Exception

      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)

      Writes teh schema into the given file. defaults to userhome/swixml.xsd
      Parameters:
        `args` - `String[]`file name.``

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.